Subject: RE: FIN> On reading the FIN draft

From: Paul Moore <[email-masked]>
Date: Fri, 19 Jun 1998 18:17:38 -0700

So now I am found out - my example is bad because you do have binders in
there.

So let me ask you - what things are not included? Why do you not consider
this to be a complete MIB?

> -----Original Message-----
> From:	Ron Bergman [SMTP:[email-masked]]
> Sent:	Friday, June 19, 1998 5:37 PM
> To:	Paul Moore
> Cc:	'Harry Lewis'; [email-masked]; [email-masked]; Tom Hastings;
> [email-masked]
> Subject:	RE: FIN> On reading the FIN draft
> 
> Paul,
> 
> Now I understand the specific issue you are having with the Finisher MIB.
> (So with the religious issues aside we can discuss the problems that we
> can actually solve;-)
> 
> We have tried to all the possible parameters (i.e. attributes) for each
> finisher process.  As it turned out, the punch operation was the most
> complex and thus the big (huge might be a better description) set of
> attributes.  For the other operations we tried to also include all the
> possible attributes.
> 
> In your example of binding, there are 8 enums in FinBindingTypeTC that
> can be used to define the method of binding.  They are Tape, Plastic,
> Velo, Perfect, Spiral, Adhesive, Comb, and Padding.  Other than the
> position of the binding on the document, which should be defined in the
> attribute table, there is little else that can be said about binding.  
> (I forgot about color, which is specified in finSupplyColorantValue.)
> Indeed there are other parameters that could be of interest in this case,
> such as the width of the bind on the cover, but these are fixed for the
> process and usually independent of the finisher device.  What else do you
> need to know about binding?
> 
> If you do have time to review the document and can point to specifics or
> even an area where additional information can be provided, we will bw more
> than happy to resolve the issue.
> 
> BTW the latest Finisher MIB Document is dated June 11, 1998 and can be
> found on the PWG FTP site under FIN/MIBS or FIN/SPECS (I forget which).
> 
> Hope this information helps.
> 
> 	Ron Bergman
> 	Dataproducts Corp.
> 
> 
> On Fri, 19 Jun 1998, Paul Moore wrote:
> 
> > Let me explain why I raised the issue and they maybe you will understand
> > what I am talking about.
> > 
> > I am looking at attribute sets for printers. Rather than sit and think
> for
> > several weeks, the obvious thing to do is to look at the existing work
> done
> > by large groups of intelligent people who know this stuff inside out. So
> I
> > looked in TIPSI, here is a big set of attributes with their values and
> > meaning. Next I looked in 1759, aha - here are really detailed
> attributes
> > for paper trays, Oh and marking systems, and even cover panels - great.
> Next
> > I looked in the finisher MIB, great here is a REALLY detailed analysis
> of
> > punching and here is a detailed analysis for.. - but no - there are no
> more
> > detailed anaylses, only a scheme for recording them. So I have hit a
> > roadblock - where do I go to look for the attributes for, say , a
> perfect
> > binder. The FIN MIB requires that there be another document somewhere
> else -
> > the 'Perfect Binder Attribute Set for FIN MIB'
> > 
> > I have a practical problem - not a architectural one. 
> > 
> > What you should have done is to do FIN MIB part1 (staple, punch and
> general
> > status), then done part2 (Binders, sorters and inserters) then
> > part3(shredders, igniters and bleachers). Or even done a separate MIB
> for
> > each FIN sub-unit.
> > 
> > I think the criticism that we should have said this earlier is not
> > reasonable. Nobody can read all drafts at all stages of revision. 
> >

---

From: Ron Bergman <[email-masked]>
Date: Mon, 22 Jun 1998 08:11:53 -0700 (Pacific Daylight Time)

Paul,

To my knowledge, we have full coverage on all finisher processes of
interest.  But keep in mind that group members developing this MIB are 
not finisher experts.  We are basing our work on the previous efforts from
LMO (Large Mailroom Operations) and DPA.

As a positive note, the last several meetings have been attended by a
finisher expert from HP who has provided significant inputs.  The document
has also been reviewed by finisher experts at Xerox.  The next meeting
will be attended by several more finisher experts from Duplo Corp.  So,
even though the core developers are not finisher experts, there should be
enough outside expertise to ensure full coverage.

	Ron Bergman
	Dataproducts Corp.